Skip to main content
`Ctrl`+`K`

# DSRestoreArray

Restores the matrix after `DSGetArray()` was called.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSRestoreArray(DS ds,DSMatType m,PetscScalar *a[])

Not Collective

## Input Parameters

- ds - the direct solver context

- m - the requested matrix

- a - pointer to the values

## See Also

DS: Direct Solver (or Dense System), `DSGetArray()`, `DSGetArrayReal()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsops.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages